﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CtrlMenu : MonoBehaviour
{

    public GameObject mainLeft;
    public GameObject mainRight;
    public GameObject start;
    public GameObject pause;
    public GameObject gpIndicator;


    void Update()
    {
        if (Input.GetKeyDown(KeyCode.F))
        {
            StartGame();
        }
        else if (Input.GetKeyDown(KeyCode.V))
        {
            Pause();
        }
        else if (Input.GetKeyDown(KeyCode.G))
        {
            UnPause();
        }
        else if (Input.GetKeyDown(KeyCode.B))
        {
            ReSetMenu();
        }

    }


    public void StartGame()
    {
        mainLeft.SetActive(false);
        //mainRight.SetActive(false);
        start.SetActive(false);
        gpIndicator.SetActive(true);
    }

    public void Pause()
    {
        gpIndicator.SetActive(false);
        pause.SetActive(true);
    }

    public void UnPause()
    {
        gpIndicator.SetActive(true);
        pause.SetActive(false);
    }

    public void ReSetMenu()
    {
        mainLeft.SetActive(true);
        //mainRight.SetActive(true);
        start.SetActive(true);
        gpIndicator.SetActive(false);
    }



}
