﻿using System.Collections.Generic;
using UnityEngine;

public class Song : MonoBehaviour
{
    public List<Wave> Track { get; private set; }

    public Song()
    {
        Track = new List<Wave>();

        //Premiers 4 temps (tempo départ)
        Track.Add(new Wave(Direction.NONE, 4f, 132, false));

        // 1
        Track.Add(new Wave(Direction.UP_RIGHT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_RIGHT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_RIGHT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_RIGHT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));

        Track.Add(new Wave(Direction.UP_RIGHT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_RIGHT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_RIGHT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_RIGHT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));


        // 2
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));

        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));


        // 3
        Track.Add(new Wave(Direction.DOWN_RIGHT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_RIGHT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));

        Track.Add(new Wave(Direction.DOWN_RIGHT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_RIGHT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));


        // 4
        Track.Add(new Wave(Direction.DOWN_RIGHT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_RIGHT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));

        Track.Add(new Wave(Direction.DOWN_RIGHT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_RIGHT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));


        // 5
        Track.Add(new Wave(Direction.UP_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, false));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));

        Track.Add(new Wave(Direction.UP_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.UP_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
        Track.Add(new Wave(Direction.DOWN_LEFT, 1f, 132, true));
        Track.Add(new Wave(Direction.NONE, 1f, 132, false));
    }
}
