﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CtrlChar : MonoBehaviour
{

    private GameObject sCorp;
    private GameObject sCorpWave;
    private GameObject sTete;
    private GameObject sTete2 = null;
    private GameObject sHand;
    private HandAnim sHandComp;

    private CtrlTete ctrlTete;

	// Use this for initialization
	void Awake ()
    {
        sCorp = this.transform.FindChild("Corps").gameObject;
        sCorpWave = this.transform.FindChild("CorpsWave").gameObject;

        sTete = this.transform.FindChild("Tete").gameObject;
        ctrlTete = sTete.transform.GetComponent<CtrlTete>();

        //sTete2 = this.transform.FindChild("TeteWave").gameObject;
        sHand = this.transform.FindChild("Hand").gameObject;
        sHandComp = this.transform.FindChild("Hand").transform.GetComponent<HandAnim>();
    }


    public void WaveIn(float holdWaveTime)
    {
        sCorp.SetActive(false);
        sCorpWave.SetActive(true);
        sHand.SetActive(true);

        CancelInvoke();
        Invoke("WaveOut", holdWaveTime);
    }

    public void WaveOut()
    {
        sCorp.SetActive(true);
        sCorpWave.SetActive(false);
        sHandComp.ResetRot();
        sHand.SetActive(false);
    }


    public void PlayHeadBob()
    {
        ctrlTete.PlayHeadBob();
    }

}
