﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HandAnim : MonoBehaviour
{

    [SerializeField]
    private float minRot;
    [SerializeField]
    private float maxRot;

    float zRot = -0;
    float t = 0;
    float timer = 0;

	void Update ()
    {
        t = Mathf.Sin(timer += Time.deltaTime * 8);

        zRot = Mathf.LerpAngle(minRot, maxRot, (t + 1) * 0.5f);
        this.transform.localEulerAngles = new Vector3(0, 0, zRot); 	
	}

    public void ResetRot()
    {
        this.transform.localEulerAngles = new Vector3(0, 0, -10);
        t = 0;
        timer = 0;
    }

}
